      include 'coupl.inc'
      include 'coupmssm.inc'

      double precision  unimass(1:20), lowmass(0:99), lowwid(0:99), dmu
      double precision  bw(4,4), pz(4,4), uu(2,2), vv(2,2)
      double precision  mix_t(2,2), mix_b(2,2), mix_l(2,2)

      open(71,file="mssm.in.les_houches",status="old")
      call read_slha_rip(71,unimass,lowmass,lowwid,bw,
     &                   uu,vv,mix_t,mix_b,mix_l,zmass,wmass)
      write(6,*) 'SLHA file read in - M_Z,M_W extracted:'
      write(6,*) zmass,wmass

      call coupsm(4)
      mz = zmass
      wz = zwidth
      mw = wmass
      ww = wwidth
      mt = tmass
      wt = twidth
      mb = bmass
      ml = lmass

      write(6,50) 'sin(a),cos(a) = ',lowmass(44),lowmass(45)
      write(6,*)
      write(6,50) 'm_Hi:',lowmass(41),lowmass(42),lowmass(40),lowmass(43)
      write(6,50) 'm_Xi:',lowmass( 9),lowmass(10)
      write(6,50) 'm_Ni:',lowmass( 5),lowmass( 6),lowmass( 7),lowmass( 8)
      write(6,50) 'm_go:',lowmass( 4)
      write(6,50) 'm_sq:',lowmass(15)
      write(6,50) 'm_U :',lowmass(13),lowmass(14)
      write(6,50) 'm_D :',lowmass(11),lowmass(12)
      write(6,50) 'm_T :',lowmass(19),lowmass(20)
      write(6,50) 'm_B :',lowmass(17),lowmass(18)
      write(6,50) 'm_E :',lowmass(30),lowmass(31)
      write(6,50) 'm_VE:',lowmass(32)
      write(6,50) 'm_L :',lowmass(33),lowmass(34)
      write(6,50) 'm_VL:',lowmass(35)
      write(6,*)
      write(6,50) 'w_Hi:',lowwid(41),lowwid(42),lowwid(40),lowwid(43)
      write(6,50) 'w_Xi:',lowwid( 9),lowwid(10)
      write(6,50) 'w_Ni:',lowwid( 5),lowwid( 6),lowwid( 7),lowwid( 8)
      write(6,50) 'w_go:',lowwid( 4)
      write(6,50) 'w_sq:',lowwid(15)
      write(6,50) 'w_U :',lowwid(13),lowwid(14)
      write(6,50) 'w_D :',lowwid(11),lowwid(12)
      write(6,50) 'w_T :',lowwid(19),lowwid(20)
      write(6,50) 'w_B :',lowwid(17),lowwid(18)
      write(6,50) 'w_E :',lowwid(30),lowwid(31)
      write(6,50) 'w_VE:',lowwid(32)
      write(6,50) 'w_L :',lowwid(33),lowwid(34)
      write(6,50) 'w_VL:',lowwid(35)
      write(6,*)

      call hdecay(5,1,alfas,unimass(10),lowmass(40))
      wh1 = hlwdth
      wh2 = hhwdth
      wh3 = awdth
      whc = hcwdth

      write(6,15) 'MSSM h mass     =  ', aml,     'MSSM H mass     =  ', amh
      write(6,15) 'MSSM h tot wid  =  ', hlwdth,  'MSSM H tot wid  =  ', hhwdth
      write(6,*)
      write(6,16) 'BR (h -> bb~  ) =  ', HLBRB,   'BR (H -> bb~   ) =  ', HHBRB
      write(6,16) 'BR (h -> taus ) =  ', HLBRL,   'BR (H -> taus  ) =  ', HHBRL
      write(6,16) 'BR (h -> muons) =  ', HLBRM,   'BR (H -> muons ) =  ', HHBRM
      write(6,16) 'BR (h -> ss~  ) =  ', HLBRS,   'BR (H -> ss~   ) =  ', HHBRS
      write(6,16) 'BR (h -> cc~  ) =  ', HLBRC,   'BR (H -> cc~   ) =  ', HHBRC
      write(6,16) 'BR (h -> tt~  ) =  ', HLBRT,   'BR (H -> tt~   ) =  ', HHBRT
      write(6,16) 'BR (h -> gg   ) =  ', HLBRG,   'BR (H -> gg    ) =  ', HHBRG
      write(6,16) 'BR (h -> gams ) =  ', HLBRGA,  'BR (H -> gams  ) =  ', HHBRGA
      write(6,16) 'BR (h -> Zgam ) =  ', HLBRZGA, 'BR (H -> Zgam  ) =  ', HHBRZGA
      write(6,16) 'BR (h -> W+W- ) =  ', HLBRW,   'BR (H -> W+W-  ) =  ', HHBRW
      write(6,16) 'BR (h -> ZZ   ) =  ', HLBRZ,   'BR (H -> ZZ    ) =  ', HHBRZ
      write(6,17) '                   ',          'BR (H -> hh    ) =  ', HHBRH
      write(6,16) 'BR (h -> AA   ) =  ', HLBRA,   'BR (H -> AA    ) =  ', HHBRA
      write(6,16) 'BR (h -> AZ   ) =  ', HLBRAZ,  'BR (H -> AZ    ) =  ', HHBRAZ
      write(6,16) 'BR (h -> Wh   ) =  ', HLBRHW,  'BR (H -> Wh    ) =  ', HHBRHW
      write(6,*)
      write(6,15) 'MSSM A mass     =  ', ama,     'MSSM H+ mass     =  ', amch
      write(6,15) 'MSSM A tot wid  =  ', awdth,   'MSSM H+ tot wid  =  ', hcwdth
      write(6,*)
      write(6,16) 'BR (A -> bb~  ) =  ', ABRB,    'BR (H+ -> cb~  ) =  ', HCBRB
      write(6,16) 'BR (A -> taus ) =  ', ABRL,    'BR (H+ -> tau  ) =  ', HCBRL
      write(6,16) 'BR (A -> muons) =  ', ABRM,    'BR (H+ -> mu   ) =  ', HCBRM
      write(6,16) 'BR (A -> ss~  ) =  ', ABRS,    'BR (H+ -> ??   ) =  ', HCBRBU
      write(6,16) 'BR (A -> cc~  ) =  ', ABRC,    'BR (H+ -> us~  ) =  ', HCBRS
      write(6,16) 'BR (A -> tt~  ) =  ', ABRT,    'BR (H+ -> cs~  ) =  ', HCBRC
      write(6,16) 'BR (A -> gg   ) =  ', ABRG,    'BR (H+ -> tb~  ) =  ', HCBRT
      write(6,16) 'BR (A -> gams ) =  ', ABRGA,   'BR (H+ -> W+h  ) =  ', HCBRW
      write(6,16) 'BR (A -> Zgam ) =  ', ABRZGA,  'BR (H+ -> W+A  ) =  ', HCBRA
      write(6,16) 'BR (A -> Zh   ) =  ', ABRZ
      write(6,*)

      call init_susy(zmass,wmass,alpha,gfermi,g,unimass,lowmass,lowwid,
     &               bw,uu,vv,mix_l,mix_b,mix_t,lmcom,lwid)
